      program proces
      implicit none
      
      character(len=64) :: sys

      integer(kind=4),parameter   :: n = 50
      integer(kind=4)   :: i

      real(kind=4)      :: x(1:n)
      real(kind=4)      :: y(1:n)

      real(kind=4)      :: dx = 0.2
      real(kind=4)      :: dt = 0.1
      real(kind=4)      :: t = 0.0

      integer(kind=4)   :: iter
      integer(kind=4)   :: n_iter = 50

      character(len=12) :: tmp
      
      !sprawdzenie biezacej sciezki:
      call getcwd(sys)

      do iter = 1, n_iter

        print '(A,I8)', 'Iteracja numer ', iter 

        !tworzenie tablic i zapis do pliku:
        open(1,file='30.dat')
        do i = 1, n
          x(i) = i*dx
          y(i) = sin(x(i)+t)
          write(1,'(2F16.6)') x(i), y(i)
        end do
        close(1)

        !tworzenie skryptu PLT:
        open(1,file='30.plt')
        write(1,*) 'set terminal png enhanced font ''Arial'' 12'
        write(tmp,fmt='(I8.8)') iter
        write(1,*) 'set output ''30_'//trim(tmp)//'.png'''
        write(tmp,fmt='(F12.6)') t
        write(1,*) 'set title ''Wykres y = f(x,t) dla t = '//trim(tmp)//''''
        write(1,*) 'set xlabel ''os x [-]'''
        write(1,*) 'set ylabel ''os y [-]'''
        write(1,*) 'set grid'
        write(1,*) 'plot ''30.dat'' notitle with lines lt 1'
        write(1,*) 'exit gnuplot'
        close(1)

        !uruchomienie skryptu:
        if (trim(sys(:1)) == '/') then !jezeli sciezka zaczyna sie od znaku '/' to Linux
          call system('gnuplot 30.plt')
        else
          call system('30.plt')
        end if

        !przesuniecie wykresu:
        t = t + dt 

      end do
      
      end
